// 在线升级模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-5-9

#ifndef WMM_UPGRADE_H
#define WMM_UPGRADE_H

#include "sysdef.h"

#define OAM_UPGRADE_SWITCH_SOFT_WORK_MODE 0x0601    // 切换软件工作模式
#define OAM_UPGRADE_NOTICE_UPGRADE_FILE_INFO 0x0602 // 通知升级文件信息
#define OAM_UPGRADE_SEND_UPGRADE_FILE 0x0603        // 发送升级升级文件
#define OAM_UPGRADE_NOTICE_UPGRADE_OVER 0x0604      // 升级结束

// 外部接口
uint8 wmm_upgrade_control_cmd(uint8 *pbyData);
uint8 wmm_upgrade_file_transfer_cmd(uint8 *pbyData);
uint8 wmm_upgrade_get_upgrade_mode();
void wmm_upgrade_reset_upgrade_mode();

#endif
